Bug 438975 - gettimeofday is not monotonically increasing
gettimeofday is not monotonically increasing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Don Dutile
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 06:44 EDT by Ian Campbell
Modified: 2008-07-24 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Test program from bz 245761; 245761 is not visible by all bugzilla accts... (10.00 KB, text/plain)
2008-03-26 11:37 EDT, Don Dutile
no flags Details
Test program from bz 245761; 245761 is not visible by all bugzilla accts... (10.00 KB, text/plain)
2008-03-26 11:37 EDT, Don Dutile
no flags Details
Patch that applies cleanly to 4.6 (1.58 KB, text/x-patch)
2008-03-26 15:00 EDT, Don Dutile
no flags Details
Patch that applies cleanly to 4.6 (1.58 KB, text/x-patch)
2008-03-26 16:41 EDT, Don Dutile
no flags Details
Patch that applies cleanly to 4.6 (1.58 KB, text/x-patch)
2008-03-26 16:41 EDT, Don Dutile
no flags Details

  None (edit)
Description Ian Campbell 2008-03-26 06:44:09 EDT
We are seeing infrequent failures in the LTP test gettimeofday02, possibly a
couple of times a month in our automated testing.
<<<test_start>>>
tag=gettimeofday02 stime=1205421336
cmdline="gettimeofday02"
contacts=""
analysis=exit
initiation_status="ok"
<<<test_output>>>
gettimeofday02    0  INFO  :  checking if gettimeofday is monotonous, takes 30s
gettimeofday02    1  FAIL  :  Time is going backwards (old 1205421341.12818 vs
new 1205421341.12812!
<<<execution_status>>>
duration=5 termination_type=exited termination_id=1 corefile=no
cutime=87 cstime=391
<<<test_end>>>

This was fixed upstream with
http://hg.uk.xensource.com/linux-2.6.18-xen.hg?cs=87bb8705768 which applies
cleanly to the 2.6.9-67.0.7.EL tree.
Comment 1 Don Dutile 2008-03-26 11:06:36 EDT
Ian,

thanks for the bz!

this was patched in rhel5; why it wasn't cloned for rhel4, I don't know.
the rhel5 bz was 245761.

I ran Rik's clocktest program from 245761 (comment #22), and
it failed *immediately*.  

I will file a patch for rhel4 asap, ask for exception, and ask for it to be
included in 4.6 z-stream.
Comment 2 Stephen Tweedie 2008-03-26 11:18:58 EDT
Please us URLs which are visible from the external internet when posting patches!

http://xenbits.xensource.com/linux-2.6.18-xen.hg?rev/87bb8705768

is the xenbits URL for the above changeset.
Comment 3 Ian Campbell 2008-03-26 11:27:34 EDT
Don: Unfortunately I don't have permission to access 245761 ("Access to some
bugs is restricted due to embargoed security issues or respect for customer and
partner information which must remain confidential.") or comment #22 therein.

Stephen: Sorry, my fingers are hard coded for the internal (i.e. local) mirror.
I do it nearly every time :-(
Comment 4 Don Dutile 2008-03-26 11:32:55 EDT
Justification for exception to 4.7: see bz 245761;  same problems, same fix,
(rhel4.6-specific patch above), same biz justification, same test program
(comment #22 from bz 245761), use test program to verify fix.

Please review exception, set appropriate flags.

- Don

ps -- if this is accepted/exceptioned into 4.7, I would strongly recommend it as
a candidate for 4.6 z-stream.
Comment 5 Don Dutile 2008-03-26 11:36:00 EDT
Ian,

I will post the 245761 attachement to this bz, so you can grab the test program
for your future reference/use.

as for the auto-bad-http-link ... i'm use to it... i sub'd "xenbits" for 
'hg.uk' as automagically as you use it to post .... old dog, new trick! ;-)

- Don
Comment 6 Don Dutile 2008-03-26 11:37:25 EDT
Created attachment 299179 [details]
Test program from bz 245761; 245761 is not visible by all bugzilla accts...

 here's the patch from bz 245761.

- Don
Comment 7 Don Dutile 2008-03-26 11:37:35 EDT
Created attachment 299181 [details]
Test program from bz 245761; 245761 is not visible by all bugzilla accts...

 here's the patch from bz 245761.

- Don
Comment 8 Bill Burns 2008-03-26 11:40:29 EDT
Set dev ack for Don.
Comment 9 Don Dutile 2008-03-26 15:00:10 EDT
Created attachment 299213 [details]
Patch that applies cleanly to 4.6


Posted patch for rhel4.7.
Built against -68.26.
Comment 10 Don Dutile 2008-03-26 16:41:26 EDT
Created attachment 299225 [details]
Patch that applies cleanly to 4.6


Posted patch for rhel4.7.
Built against -68.26.
Comment 11 Don Dutile 2008-03-26 16:41:36 EDT
Created attachment 299226 [details]
Patch that applies cleanly to 4.6


Posted patch for rhel4.7.
Built against -68.26.
Comment 13 Vivek Goyal 2008-04-08 16:23:53 EDT
Committed in 68.32.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 16 errata-xmlrpc 2008-07-24 15:28:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.